<?xml version='1.0' encoding='ISO-8859-1'?>   
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tv="urn:tva:metadata:2005"
 version="1.0">
 
 <xsl:template match="/">
  <xsl:apply-templates
   select="document ('20081111BBCOne_pi.xml')/tv:TVAMain/tv:ProgramDescription/tv:ProgramInformationTable"
  />
 </xsl:template>
 
 <xsl:template match="tv:ProgramInformationTable">
  <html>
   <head>
 
    <style>
     body {
     background-color: silver;
     padding: 20px
     }
     table {
     border-width: 5px;
     border-style:solid;
     padding: 5px;
     border-collapse: collapse
     }
     td {
     border-width: 1px;
     border-style:solid;
     padding: 5px
     }
     th {
     border-width: 1px   1px 3px   1px;
     border-style:solid;
     padding: 5px
     }</style>
    
   </head>
   <body>
    
    <h1>Programmes for Tuesday 11 November 2008 - BBC One</h1>
    <table>
     <tr>
      <th>Programme name</th>
      <th>Programme start time </th>
      <th>Programme duration</th>
      <th>Programme details</th>
     </tr>
     <xsl:apply-templates select="tv:ProgramInformation "/>
    </table>
    
   </body>
  </html>
 </xsl:template>
 
 <xsl:template match="tv:ProgramInformation">
  <xsl:variable name="crid" select="/tv:TVAMain/tv:ProgramDescription/tv:ProgramLocationTable/tv:Schedule/tv:ScheduleEvent"/>
  <tr>
   
   
   
   
   
   <td>
    <xsl:value-of select="tv:BasicDescription/tv:Title"/>
   </td>
   
   
   
   
  
   
    <td>
     <xsl:value-of select=" document ('20081111BBCOne_pl.xml')/tv:TVAMain/tv:ProgramDescription/tv:ProgramLocationTable/tv:Schedule/tv:ScheduleEvent/tv:PublishedStartTime[element=@crid]"/>
     
    </td>
   
   
   
   
   
   <td> 
    <xsl:value-of select=" document ('20081111BBCOne_pl.xml')/tv:TVAMain/tv:ProgramDescription/tv:ProgramLocationTable/tv:Schedule/tv:ScheduleEvent/tv:PublishedDuration[element=@crid]"/>
   </td>
   
   
   
   
 
   <td>
     <xsl:value-of select="tv:BasicDescription/tv:Synopsis"/>
   </td>
   
   
   
   
   
  </tr>
 </xsl:template>
</xsl:stylesheet>

  

